#!/sbin/itype
# This is a i file, used by initng parsed by install_service

service dbus/uuidgen {
	script start = {
		if [ ! -f "/var/lib/dbus/machine-id" ]; then
			/usr/bin/dbus-uuidgen > /var/lib/dbus/machine-id
		fi
		exit 0
	};
}

daemon dbus {
	need = bootmisc dbus/uuidgen;
	forks;
	critical;
	pid_file = /var/run/dbus/pid;
	
	exec daemon = /usr/bin/dbus-daemon --system --fork;
}
