#!/sbin/itype
# This is a i file, used by initng parsed by install_service

daemon hald {
	need = bootmisc dbus;
	stdall = /dev/null;
	script daemon = {
		# Make sure, there is no stale processes running.
		killall hald
		killall -9 hald

		# Clear pid file.
		/bin/rm /var/run/hal/pid

		# Launch the hal daemon
		exec /usr/sbin/hald --daemon=no --retain-privileges
		exit 1
	};
}
