#!/sbin/itype
# This is a i file, used by initng parsed by install_service

virtual netatalk {
	need = netatalk/atalkd netatalk/afpd;
	also_stop = netatalk/atalkd netatalk/afpd;
}

daemon netatalk/atalkd {
	need = initial virtual/net;
	pid_file = /var/run/atalkd.pid;
	exec daemon = /usr/sbin/atalkd -P /var/run/atalkd.pid;
	forks;
	exec kill = killall -2 atalkd;
}

daemon netatalk/afpd {
	need = initial virtual/net;
	use = netatalk/atalkd;
	pid_file = /var/run/afpd.pid;
	env_file = /etc/netatalk/netatalk.conf;
	exec daemon = /usr/sbin/afpd ${AFPD_UAMLIST} -P /var/run/afpd.pid -g ${AFPD_GUEST} -c ${AFPD_MAX_CLIENTS} -n "${ATALK_NAME}${ATALK_ZONE}";
	forks;
}
