#!/sbin/itype
# This is a i file, used by initng parsed by install_service

service NetworkManager/prepare {
	need = initial;
	script start = {
		[ -d /var/lib/NetworkManager ] || /bin/mkdir -p /var/lib/NetworkManager
		chmod 755 /var/lib/NetworkManager
		[ -d /var/run/NetworkManager ] || /bin/mkdir -p /var/run/NetworkManager
		chmod 755 /var/run/NetworkManager
	};
}

daemon NetworkManager {
	need = bonding dbus NetworkManager/prepare hald dhcdbd;
	provide = virtual/net;
	env PID_FILE = /var/run/NetworkManager.pid;
	pid_file = ${PID_FILE};
	forks;
##	exec daemon  = /usr/sbin/NetworkManager --pid-file=${PID_FILE};
	exec daemon  = /usr/sbin/NetworkManager;
}
