#!/sbin/itype
# This is a i file, used by initng parsed by install_service

service bonding {
        need = initial;
        script start = {
        	bond_mode=""
        	if [ -e /etc/bonding/bonding.conf ]; then
                	bond_mode=`/sbin/bonding_manager.sh getConfigParams /etc/bonding/bonding.conf`
        		/sbin/bonding_manager.sh start ${bond_mode}
        	fi
        }
        script stop = {
        	if [ -e /etc/bonding/bonding.conf ]; then
        		/sbin/bonding_manager.sh stop
        	fi
        }
}

