#!/sbin/itype
# This is a i file, used by initng parsed by install_service

service hostname {
	need = initial;
	script start = {
		 [ -f /etc/hostname ] && HOSTNAME="$(cat /etc/hostname)"
	 
	         # Keep current name if /etc/hostname is missing.
                 [ -z "$HOSTNAME" ] && HOSTNAME="$(hostname)"
	                 
                 # And set it to 'localhost' if no setting was found
                 [ -z "$HOSTNAME" ] && HOSTNAME=localhost
		                                 
		/bin/hostname "${HOSTNAME}"
		ret=${?}
		exit ${ret}
	};
}
