#!/sbin/itype
# This is a i file, used by initng parsed by install_service

service logrotate {
	need = initial;
	script start = {
		sum=`du -s /var/log/ | awk '{print $1}'`
		#more than 150M of logs is enough, clean them 
		#don't remove directories,some services do not recreate them
		if [ $sum -gt 150000 ]; then
			rm  /var/log/*
			rm /var/log/*/*
		fi
		/usr/sbin/logrotate /etc/logrotate.tab
		exit 0
	}
}

