#!/sbin/itype
# This is a i file, used by initng parsed by install_service

service raid {
    need = initial modules mountfs udev;
    script start = {
        . /oldroot/lib/lacie/libcommon

        if [ `isRaidRequired` -eq $TRUE ]; then
            user_raid='/dev/md4'
            for i in 0 1 2 3 4; do
                eval uuid_$i=`md_eeprog -G $i`
            done
            mdadm --examine --scan  | grep -e $uuid_0 \
                                           -e $uuid_1 \
                                           -e $uuid_2 \
                                           -e $uuid_3 \
                                           -e $uuid_4 \
                                      > /etc/mdadm.conf
            mdadm --assemble --scan --force $user_raid > /dev/null 2>&1
        fi

        exit 0
    };
    script stop = {
        . /oldroot/lib/lacie/libcommon

        if [ `isRaidRequired` -eq $TRUE ]; then
            user_raid='/dev/md4'
            for i in 0 1 2 3 4; do
                eval uuid_$i=`md_eeprog -G $i`
            done
            mdadm --examine --scan  | grep -e $uuid_0 \
                                           -e $uuid_1 \
                                           -e $uuid_2 \
                                           -e $uuid_3 \
                                           -e $uuid_4 \
                                      > /etc/mdadm.conf
            mdadm --stop --scan $user_raid > /dev/null 2>&1
        fi
        exit 0
    };
}
