#!/sbin/itype
# This is a i file, used by initng parsed by install_service

daemon samba/smbd {
	need = bootmisc;
	respawn;
	exec daemon = /usr/sbin/smbd -F;
}

daemon samba/nmbd {
	need = bootmisc;
	respawn;
	exec daemon = /usr/sbin/nmbd -F;
}

daemon samba/winbind {
	need = bootmisc;
	respawn;
	exec daemon = /usr/sbin/winbindd -F;
}

virtual samba {
	need = samba/smbd samba/nmbd samba/winbind;
	also_stop = samba/smbd samba/nmbd samba/winbind;
}

