BEGIN TRANSACTION;
CREATE TABLE registry (id INTEGER PRIMARY KEY, key VARCHAR UNIQUE NOT NULL, value VARCHAR);
INSERT INTO "registry" VALUES(1,'unicorn.system.info.software_version','1.0.90');
INSERT INTO "registry" VALUES(2,'unicorn.system.info.hardware_revision','2.0');
INSERT INTO "registry" VALUES(3,'unicorn.system.info.hardware_id','d2net_v2');
INSERT INTO "registry" VALUES(4,'unicorn.system.info.network_name','LaCie-d2');
INSERT INTO "registry" VALUES(5,'unicorn.system.info.product_id','d2network2');
INSERT INTO "registry" VALUES(6,'unicorn.system.info.product_name','d2 Network 2');
INSERT INTO "registry" VALUES(7,'unicorn.system.powersave.smart_spindown.config_file','/etc/smart_spindown/smart_spindown_unicorn.conf');
INSERT INTO "registry" VALUES(8,'unicorn.system.powersave.smart_spindown.base_wait_time','300');
INSERT INTO "registry" VALUES(9,'unicorn.system.powersave.smart_spindown.max_wait_time','1200');
INSERT INTO "registry" VALUES(10,'unicorn.system.powersave.smart_spindown.max_age','7200');
INSERT INTO "registry" VALUES(11,'unicorn.system.powersave.smart_spindown.handle_external_disk','True');
INSERT INTO "registry" VALUES(12,'unicorn.system.powersave.smart_spindown.external_standby_timeout','120');
INSERT INTO "registry" VALUES(13,'unicorn.system.powersave.smart_spindown.enabled','True');
INSERT INTO "registry" VALUES(14,'unicorn.system.fan.enabled','True');
INSERT INTO "registry" VALUES(15,'unicorn.system.time.ntpdconf_file','/usr/etc/ntpd.conf');
INSERT INTO "registry" VALUES(16,'unicorn.system.time.zoneinfo_path','/usr/share/zoneinfo');
INSERT INTO "registry" VALUES(17,'unicorn.system.time.localtime_path','/etc/localtime');
INSERT INTO "registry" VALUES(18,'unicorn.system.time.timezone','Europe/Amsterdam');
INSERT INTO "registry" VALUES(19,'unicorn.system.time.ntp_server','pool.ntp.org');
INSERT INTO "registry" VALUES(20,'unicorn.system.time.ntp_status','1');
INSERT INTO "registry" VALUES(21,'unicorn.system.time.ntp_enable','True');
INSERT INTO "registry" VALUES(22,'unicorn.system.time.ntp_locked','False');
INSERT INTO "registry" VALUES(23,'unicorn.system.powersave.schedule_poweroff.cron_poweroff','00 22 * * * root /sbin/smart_shutdown');
INSERT INTO "registry" VALUES(24,'unicorn.system.powersave.schedule_poweroff.enabled','False');
INSERT INTO "registry" VALUES(25,'unicorn.system.button.shutdown_time','3');
INSERT INTO "registry" VALUES(26,'unicorn.system.powersave.sleepmode.enabled','False');
INSERT INTO "registry" VALUES(27,'unicorn.system.powersave.sleepmode.scheduling','False');
INSERT INTO "registry" VALUES(28,'unicorn.system.powersave.sleepmode.button','True');
INSERT INTO "registry" VALUES(29,'unicorn.system.powersave.sleepmode.wol','True');
INSERT INTO "registry" VALUES(30,'unicorn.system.powersave.sleepmode.cron_poweron','');
INSERT INTO "registry" VALUES(31,'unicorn.system.auto_update.update_server_login','d2network2');
INSERT INTO "registry" VALUES(32,'unicorn.system.auto_update.update_file_extension','.capsule');
INSERT INTO "registry" VALUES(33,'unicorn.system.auto_update.forbid_init_capsule','True');
INSERT INTO "registry" VALUES(34,'unicorn.system.auto_update.update_dl_path','/lacie/autoupdate');
INSERT INTO "registry" VALUES(35,'unicorn.system.auto_update.update_server_password','d2network2');
INSERT INTO "registry" VALUES(36,'unicorn.system.auto_update.update_server_version_path','/1.1');
INSERT INTO "registry" VALUES(37,'unicorn.system.auto_update.update_dl_max_rate','0');
INSERT INTO "registry" VALUES(38,'unicorn.system.auto_update.update_server_branch_path','/prod');
INSERT INTO "registry" VALUES(39,'unicorn.system.auto_update.update_server_address','ftp://update.lacie.com');
INSERT INTO "registry" VALUES(40,'unicorn.system.auto_update.schedule_minute','7');
INSERT INTO "registry" VALUES(41,'unicorn.system.auto_update.schedule_period','7');
INSERT INTO "registry" VALUES(42,'unicorn.system.auto_update.schedule_hour','1');
INSERT INTO "registry" VALUES(43,'unicorn.system.auto_update.update_mode','2');
INSERT INTO "registry" VALUES(44,'unicorn.system.led.syspath_led','/sys/class/leds');
INSERT INTO "registry" VALUES(45,'unicorn.network.port_mapping.discover_delay_ms','250');
INSERT INTO "registry" VALUES(46,'unicorn.network.port_mapping.lifetime_sec','7200');
INSERT INTO "registry" VALUES(47,'unicorn.network.port_mapping.natpmp_request_timeout_sec','1');
INSERT INTO "registry" VALUES(48,'unicorn.network.port_mapping.enabled','False');
INSERT INTO "registry" VALUES(49,'unicorn.storage.disk.internal_prefix','/dev/sd');
INSERT INTO "registry" VALUES(50,'unicorn.storage.disk.raid_prefix','/dev/md');
INSERT INTO "registry" VALUES(51,'unicorn.storage.disk.rescue_kernel_partition','10');
INSERT INTO "registry" VALUES(52,'unicorn.storage.disk.signature_offset','1536');
INSERT INTO "registry" VALUES(53,'unicorn.storage.disk.signature_size','20');
INSERT INTO "registry" VALUES(54,'unicorn.system.event.notifiers.logger.log_level','100');
INSERT INTO "registry" VALUES(55,'unicorn.network.general.workgroup','Workgroup');
INSERT INTO "registry" VALUES(56,'unicorn.network.general.domain','');
INSERT INTO "registry" VALUES(57,'unicorn.network.general.proxy_add','');
INSERT INTO "registry" VALUES(58,'unicorn.network.general.proxy_port','0');
INSERT INTO "registry" VALUES(59,'unicorn.network.general.proxy_login','');
INSERT INTO "registry" VALUES(60,'unicorn.network.general.proxy_password','');
INSERT INTO "registry" VALUES(61,'unicorn.network.general.hostname_locked','False');
INSERT INTO "registry" VALUES(62,'unicorn.network.general.hostname','LaCie-d2');
INSERT INTO "registry" VALUES(63,'unicorn.network.bonjour.group_path','/Client0/EntryGroup2');
INSERT INTO "registry" VALUES(64,'unicorn.network.bonjour.enabled','True');
INSERT INTO "registry" VALUES(65,'unicorn.storage.volume.root_device','/dev/sda2');
INSERT INTO "registry" VALUES(66,'unicorn.storage.volume.enable_hotplug','True');
INSERT INTO "registry" VALUES(67,'unicorn.system.email.smtp_server','');
INSERT INTO "registry" VALUES(68,'unicorn.system.email.smtp_port','25');
INSERT INTO "registry" VALUES(69,'unicorn.system.email.smtp_timeout','5');
INSERT INTO "registry" VALUES(70,'unicorn.system.email.use_secure_connection','False');
INSERT INTO "registry" VALUES(71,'unicorn.system.email.need_authentication','False');
INSERT INTO "registry" VALUES(72,'unicorn.system.email.auth_user','');
INSERT INTO "registry" VALUES(73,'unicorn.system.email.auth_pwd','');
INSERT INTO "registry" VALUES(74,'unicorn.system.event.notifiers.email.enabled','True');
INSERT INTO "registry" VALUES(75,'unicorn.network.inadyn.config_file','/etc/inadyn.conf');
INSERT INTO "registry" VALUES(76,'unicorn.network.inadyn.verbose','0');
INSERT INTO "registry" VALUES(77,'unicorn.network.inadyn.dyndns_system','');
INSERT INTO "registry" VALUES(78,'unicorn.network.inadyn.ip_server_name','checkip.dyndns.org');
INSERT INTO "registry" VALUES(79,'unicorn.network.inadyn.alias','');
INSERT INTO "registry" VALUES(80,'unicorn.network.inadyn.username','');
INSERT INTO "registry" VALUES(81,'unicorn.network.inadyn.password','');
INSERT INTO "registry" VALUES(82,'unicorn.network.inadyn.enabled','False');
INSERT INTO "registry" VALUES(83,'unicorn.network.ipcomm.enabled','True');
INSERT INTO "registry" VALUES(84,'unicorn.sharing.printing.config_file_path','/etc/cups/cupsd.conf');
INSERT INTO "registry" VALUES(85,'unicorn.sharing.printing.enabled','True');
INSERT INTO "registry" VALUES(86,'unicorn.storage.loopback.enabled','True');
INSERT INTO "registry" VALUES(87,'unicorn.storage.raid.array.raid_devices','0');
INSERT INTO "registry" VALUES(88,'unicorn.storage.usb.target','1');
INSERT INTO "registry" VALUES(89,'unicorn.storage.usb.role','host');
INSERT INTO "registry" VALUES(90,'unicorn.sharing.share.share_root','/shares');
INSERT INTO "registry" VALUES(91,'unicorn.sharing.share.das_share_name_prefix','USBShare');
INSERT INTO "registry" VALUES(92,'unicorn.sharing.share.share_name_metadata_key','lacie.share_name');
INSERT INTO "registry" VALUES(93,'unicorn.sharing.share.recover_folder_name','Recovery');
INSERT INTO "registry" VALUES(94,'unicorn.sharing.share.recover_share_name','Share');
INSERT INTO "registry" VALUES(95,'unicorn.sharing.share.default_label','NONAME');
INSERT INTO "registry" VALUES(96,'unicorn.sharing.quota.share_quota.xfs_prj_config_file','/etc/xfs_prj_config_file');
INSERT INTO "registry" VALUES(97,'unicorn.sharing.quota.share_quota.limit_warning_percentage','90');
INSERT INTO "registry" VALUES(98,'unicorn.backup.backup.backupName','backup');
INSERT INTO "registry" VALUES(99,'unicorn.backup.backup.backupCmd','/usr/sbin/backup');
INSERT INTO "registry" VALUES(100,'unicorn.backup.backup.backupProg','10');
INSERT INTO "registry" VALUES(101,'unicorn.backup.backup.snap_enabled','False');
INSERT INTO "registry" VALUES(102,'unicorn.backup.backup.snapshot_share','Share');
INSERT INTO "registry" VALUES(103,'unicorn.backup.backup.max_active','1');
INSERT INTO "registry" VALUES(104,'unicorn.system.ups.enabled','True');
INSERT INTO "registry" VALUES(105,'unicorn.system.ups.shutlevel','wait');
INSERT INTO "registry" VALUES(106,'unicorn.system.update.scan_share','Share');
INSERT INTO "registry" VALUES(107,'unicorn.system.update.scan_path','Update');
INSERT INTO "registry" VALUES(108,'unicorn.system.update.capsule_pattern','*.capsule');
INSERT INTO "registry" VALUES(109,'unicorn.download.max_active_downloads','5');
INSERT INTO "registry" VALUES(110,'unicorn.download.resume_download','True');
INSERT INTO "registry" VALUES(111,'unicorn.download.torrent_dir','/lacie/torrent_dir');
INSERT INTO "registry" VALUES(112,'unicorn.download.torrent.tr_busy','False');
INSERT INTO "registry" VALUES(113,'unicorn.download.torrent.peer_port_random_enabled','False');
INSERT INTO "registry" VALUES(114,'unicorn.download.torrent.rpc_authentication_required','False');
INSERT INTO "registry" VALUES(115,'unicorn.download.torrent.rpc_whitelist_enabled','True');
INSERT INTO "registry" VALUES(116,'unicorn.download.torrent.transmission_config_dir','/lacie/torrent_dir/transmission');
INSERT INTO "registry" VALUES(117,'unicorn.download.torrent.download_dir','/home');
INSERT INTO "registry" VALUES(118,'unicorn.download.torrent.encryption','0');
INSERT INTO "registry" VALUES(119,'unicorn.download.torrent.rpc_password','');
INSERT INTO "registry" VALUES(120,'unicorn.download.torrent.rpc_enabled','True');
INSERT INTO "registry" VALUES(121,'unicorn.download.torrent.umask','0');
INSERT INTO "registry" VALUES(122,'unicorn.download.torrent.rpc_username','');
INSERT INTO "registry" VALUES(123,'unicorn.download.torrent.rpc_whitelist','127.0.0.1');
INSERT INTO "registry" VALUES(124,'unicorn.download.torrent.preallocation','2');
INSERT INTO "registry" VALUES(125,'unicorn.download.torrent.transmission_config_file','settings.json');
INSERT INTO "registry" VALUES(126,'unicorn.download.torrent.transmission_daemon_path','/usr/bin/transmission-daemon');
INSERT INTO "registry" VALUES(127,'unicorn.download.torrent.port_forwarding_enabled','True');
INSERT INTO "registry" VALUES(128,'unicorn.download.torrent.rpc_port','9091');
INSERT INTO "registry" VALUES(129,'unicorn.download.torrent.pex_enabled','True');
INSERT INTO "registry" VALUES(130,'unicorn.download.torrent.enabled','False');
INSERT INTO "registry" VALUES(131,'unicorn.download.torrent.dl_rate_limit','0');
INSERT INTO "registry" VALUES(132,'unicorn.download.torrent.up_rate_limit','0');
INSERT INTO "registry" VALUES(133,'unicorn.download.torrent.peer_port','51413');
INSERT INTO "registry" VALUES(134,'unicorn.network.bonjour.time_machine.service_name','time_machine');
INSERT INTO "registry" VALUES(135,'unicorn.network.bonjour.time_machine.enabled_on_default_shares','False');
INSERT INTO "registry" VALUES(136,'unicorn.network.bonjour.time_machine.enabled','True');
INSERT INTO "registry" VALUES(137,'unicorn.multimedia.service_name','multimedia');
INSERT INTO "registry" VALUES(138,'unicorn.sharing.smb.config_file_path','/etc/samba/smb.conf');
INSERT INTO "registry" VALUES(139,'unicorn.sharing.smb.password_file_path','/etc/samba/private/smbpasswd');
INSERT INTO "registry" VALUES(140,'unicorn.sharing.smb.service_name','smb');
INSERT INTO "registry" VALUES(141,'unicorn.sharing.smb.enabled_on_default_shares','True');
INSERT INTO "registry" VALUES(142,'unicorn.sharing.smb.enabled','True');
INSERT INTO "registry" VALUES(143,'unicorn.download.web.enabled','False');
INSERT INTO "registry" VALUES(144,'unicorn.download.web.update_frequency','5');
INSERT INTO "registry" VALUES(145,'unicorn.sharing.afp.netatalk_conf_dir','/etc/netatalk');
INSERT INTO "registry" VALUES(146,'unicorn.sharing.afp.netatalk_conf_file','netatalk.conf');
INSERT INTO "registry" VALUES(147,'unicorn.sharing.afp.volumes_conf_file','AppleVolumes.default');
INSERT INTO "registry" VALUES(148,'unicorn.sharing.afp.afpd_conf_file','afpd.conf');
INSERT INTO "registry" VALUES(149,'unicorn.sharing.afp.service_name','afp');
INSERT INTO "registry" VALUES(150,'unicorn.sharing.afp.afp_dbpath','/lacie/afp_db');
INSERT INTO "registry" VALUES(151,'unicorn.sharing.afp.enabled_on_default_shares','True');
INSERT INTO "registry" VALUES(152,'unicorn.sharing.afp.enabled','True');
INSERT INTO "registry" VALUES(153,'unicorn.multimedia.upnp.db_folder','/lacie/var/twonky_db');
INSERT INTO "registry" VALUES(154,'unicorn.multimedia.upnp.config_file','/usr/local/twonkymedia/twonkymedia-server.ini');
INSERT INTO "registry" VALUES(155,'unicorn.multimedia.upnp.cache_folder','/lacie/var/twonky_cache');
INSERT INTO "registry" VALUES(156,'unicorn.multimedia.upnp.enabled_on_default_shares','False');
INSERT INTO "registry" VALUES(157,'unicorn.multimedia.upnp.enabled','True');
INSERT INTO "registry" VALUES(158,'unicorn.multimedia.itunes.db_folder','/lacie/var/mt-daapd');
INSERT INTO "registry" VALUES(159,'unicorn.multimedia.itunes.config_file','/etc/mt-daapd.conf');
INSERT INTO "registry" VALUES(160,'unicorn.multimedia.itunes.enabled_on_default_shares','False');
INSERT INTO "registry" VALUES(161,'unicorn.multimedia.itunes.enabled','True');
INSERT INTO "registry" VALUES(162,'unicorn.authentication.domain.enabled','False');
INSERT INTO "registry" VALUES(163,'unicorn.authentication.domain.fqdn','');
INSERT INTO "registry" VALUES(164,'unicorn.authentication.domain.short_name','');
INSERT INTO "registry" VALUES(165,'unicorn.authentication.domain.admin_login','');
INSERT INTO "registry" VALUES(166,'unicorn.authentication.domain.admin_password','');
INSERT INTO "registry" VALUES(167,'unicorn.authentication.domain.dc_ip','');
INSERT INTO "registry" VALUES(168,'unicorn.authentication.domain.dc_hostname','');
INSERT INTO "registry" VALUES(169,'unicorn.authentication.domain.kdc_ip','');
INSERT INTO "registry" VALUES(170,'unicorn.authentication.domain.kdc_hostname','');
INSERT INTO "registry" VALUES(171,'unicorn.authentication.domain.time_server','');
INSERT INTO "registry" VALUES(172,'unicorn.authentication.domain.winbind_separator','+');
INSERT INTO "registry" VALUES(173,'unicorn.authentication.domain.winbind_uid_range','10000-200000');
INSERT INTO "registry" VALUES(174,'unicorn.authentication.domain.winbind_gid_range','10000-200000');
INSERT INTO "registry" VALUES(175,'unicorn.sharing.ftp.config_file_path','/etc/proftpd.conf');
INSERT INTO "registry" VALUES(176,'unicorn.sharing.ftp.enabled_on_default_shares','True');
INSERT INTO "registry" VALUES(177,'unicorn.sharing.ftp.service_name','ftp');
INSERT INTO "registry" VALUES(178,'unicorn.sharing.ftp.enabled','False');
INSERT INTO "registry" VALUES(179,'database.status','clean');
CREATE TABLE images (id INTEGER PRIMARY KEY, size INTEGER, target_id INTEGER, disk_id INTEGER);
INSERT INTO "images" VALUES(1,0,1,2);
CREATE TABLE disks (id INTEGER PRIMARY KEY, device VARCHAR, hal_udi VARCHAR, is_mounted BOOLEAN, bus VARCHAR, revision VARCHAR, serial VARCHAR, vendor VARCHAR, model VARCHAR, size INTEGER, external BOOLEAN, raid BOOLEAN, enabled BOOLEAN);
INSERT INTO "disks" VALUES(1,'/dev/loop2','/org/freedesktop/Hal/devices/storage_model_Loop_device_1',1,'linux_loop','','','Linux','Loopdevice',0,1,0,1);
INSERT INTO "disks" VALUES(2,'/dev/loop1','/org/freedesktop/Hal/devices/storage_model_Loop_device_0',1,'linux_loop','','','Linux','Loopdevice',0,1,0,1);
INSERT INTO "disks" VALUES(3,'/dev/loop0','/org/freedesktop/Hal/devices/storage_model_Loop_device',1,'linux_loop','','','Linux','Loopdevice',0,1,0,1);
INSERT INTO "disks" VALUES(4,'/dev/sda','/org/freedesktop/Hal/devices/storage_model_HD103SI',1,'scsi','1AG0','','SAMSUNG','HD103SI',1000204886016,0,0,1);
CREATE TABLE printers (id INTEGER PRIMARY KEY, udi VARCHAR NOT NULL, name VARCHAR NOT NULL, plugged BOOLEAN, enabled BOOLEAN, vendor VARCHAR, product VARCHAR, description VARCHAR, UNIQUE(udi, name));
CREATE TABLE raid_arrays (id INTEGER PRIMARY KEY, disk_id INTEGER, level VARCHAR, size INTEGER, raid_devices INTEGER, total_devices INTEGER, active_devices INTEGER, working_devices INTEGER, failed_devices INTEGER, spare_devices INTEGER, state VARCHAR, is_syncing BOOLEAN, sync_action VARCHAR, sync_progress INTEGER, sync_speed INTEGER, sync_remaining_time INTEGER, uuid VARCHAR, enabled BOOLEAN, is_system BOOLEAN);
CREATE TABLE raid_components (id INTEGER PRIMARY KEY, raid_id INTEGER, volume_id INTEGER, state VARCHAR, slot INTEGER);
CREATE TABLE led_mod_status (module VARCHAR PRIMARY KEY, status INTEGER);
CREATE TABLE domains (id INTEGER PRIMARY KEY, fqdn VARCHAR UNIQUE NOT NULL, short_name VARCHAR, enabled BOOLEAN, status VARCHAR, error_message VARCHAR, dc_ip VARCHAR, dc_hostname VARCHAR, kdc_ip VARCHAR, kdc_hostname VARCHAR, time_server VARCHAR);
CREATE TABLE groups (id INTEGER PRIMARY KEY, type VARCHAR NOT NULL, name VARCHAR NOT NULL, comment VARCHAR, status BOOLEAN);
CREATE TABLE domain_groups (generic_id INTEGER PRIMARY KEY, domain_id INTERGER NOT NULL, sid VARCHAR NOT NULL);
CREATE TABLE events (id INTEGER PRIMARY KEY, event_id VARCHAR NOT NULL, category VARCHAR NOT NULL, raw_severity INTEGER, items VARCHAR, timestamp VARCHAR, user_id INTEGER, source_id INTEGER);
CREATE TABLE group_share_acl (access VARCHAR, group_id INTEGER NOT NULL, share_id INTEGER NOT NULL, PRIMARY KEY (group_id, share_id));
CREATE TABLE local_groups (generic_id INTEGER PRIMARY KEY);
CREATE TABLE local_group_users (group_id INTEGER, user_id INTEGER, PRIMARY KEY (group_id, user_id));
CREATE TABLE password_recovery (session_id VARCHAR NOT NULL, timestamp VARCHAR, user_id INTEGER, PRIMARY KEY (user_id));
CREATE TABLE auto_update_agent (id INTEGER PRIMARY KEY, agent_pid INTEGER, update_available BOOLEAN, update_error_code INTEGER, update_status INTEGER, download_progress INTEGER, update_size INTEGER, update_file_path VARCHAR, last_update_check VARCHAR, xml_product_name VARCHAR, xml_product_version VARCHAR, xml_build_revision VARCHAR, xml_release_date VARCHAR, xml_misc_info VARCHAR);
INSERT INTO "auto_update_agent" VALUES(1,0,0,0,0,0,0,'','','','','','','');
CREATE TABLE users (id INTEGER PRIMARY KEY, type VARCHAR NOT NULL, login VARCHAR NOT NULL, comment VARCHAR, firstname VARCHAR, lastname VARCHAR, email VARCHAR, is_admin BOOLEAN, status BOOLEAN);
INSERT INTO "users" VALUES(1,'local','admin',NULL,NULL,NULL,'',1,1);
CREATE TABLE cookies (user_id INTEGER NOT NULL, key VARCHAR NOT NULL, value VARCHAR NOT NULL, PRIMARY KEY (user_id, key));
INSERT INTO "cookies" VALUES(1,'language',X'80025802000000656E71012E');
INSERT INTO "cookies" VALUES(1,'panel_4',X'8002580700000067656E6572616C71012E');
INSERT INTO "cookies" VALUES(1,'panel_5',X'800258070000006E6574776F726B71012E');
INSERT INTO "cookies" VALUES(1,'panel_6',X'80025805000000647269766571012E');
INSERT INTO "cookies" VALUES(1,'panel_1',X'800258040000007573657271012E');
INSERT INTO "cookies" VALUES(1,'panel_2',X'8002580500000067726F757071012E');
INSERT INTO "cookies" VALUES(1,'panel_3',X'80025805000000736861726571012E');
INSERT INTO "cookies" VALUES(1,'starting_panel',X'80025809000000756E646566696E656471012E');
CREATE TABLE interfaces (id INTEGER PRIMARY KEY, name VARCHAR UNIQUE NOT NULL, nm_path VARCHAR UNIQUE NOT NULL, bootproto VARCHAR, mtu INTEGER, wins VARCHAR, mac VARCHAR, ipv4_address VARCHAR, subnetmask VARCHAR, broadcast VARCHAR, gateway VARCHAR, primary_dns VARCHAR, secondary_dns VARCHAR, speed INTEGER, dhcp VARCHAR, domain VARCHAR, is_active BOOLEAN);
INSERT INTO "interfaces" VALUES(1,'eth0','/org/freedesktop/NetworkManager/Devices/eth0','dhcp',1,'','00:D0:4B:8B:4F:C2','192.168.3.108','255.255.255.0','192.168.3.255','192.168.3.1','192.168.3.1','62.48.51.6',100,'192.168.3.1','rigacci.net',1);
CREATE TABLE port_mapping (id INTEGER PRIMARY KEY, service_name VARCHAR, protocol VARCHAR, wan_addr VARCHAR, wan_port INTEGER, lan_addr VARCHAR, lan_port INTEGER, desc VARCHAR, is_enabled BOOLEAN);
CREATE TABLE local_users (generic_id INTEGER PRIMARY KEY, password_md5 VARCHAR, password_sha1 VARCHAR, password_md5_crypt VARCHAR, password_des_crypt VARCHAR, password_nthash VARCHAR, password_lmhash VARCHAR);
INSERT INTO "local_users" VALUES(1,'ca477679280bfc89f41306c4e88fdbde','3e0550219de51bc827d14a15b50f92375269e6a7','$1$7gSStLyj$Tu4IlgJKpFJpMR9mTNNu50','$1$UN$LxRdJl1.xl3lz5lgdp9s41','a79b2d5c5fbdf1c29d3b94530bbaf88a','9eb4fb4873d6819b1a412ae4340b7af2');
CREATE TABLE shares_quotas (id INTEGER PRIMARY KEY, _share_id INTEGER, _volume_id INTEGER, hard_blocks_nb INTEGER, soft_blocks_nb INTEGER, timer INTEGER, is_over_limit BOOLEAN NOT NULL DEFAULT 0, _status BOOLEAN);
INSERT INTO "shares_quotas" VALUES(1,1,6,0,0,0,0,1);
INSERT INTO "shares_quotas" VALUES(2,3,6,0,0,0,0,1);
CREATE TABLE bindings (id INTEGER PRIMARY KEY, name VARCHAR UNIQUE NOT NULL, path VARCHAR NOT NULL, clean BOOLEAN);
INSERT INTO "bindings" VALUES(1,'tmp','/lacie/tmp',1);
INSERT INTO "bindings" VALUES(2,'var','/lacie/var',0);
INSERT INTO "bindings" VALUES(3,'torrent_dir','/lacie/torrent_dir',0);
INSERT INTO "bindings" VALUES(4,'autoupdate','/lacie/autoupdate',0);
INSERT INTO "bindings" VALUES(5,'afp_db','/lacie/afp_db',1);
CREATE TABLE leds (name VARCHAR PRIMARY KEY, enabled BOOLEAN, activity VARCHAR, component_b VARCHAR, component_b_on VARCHAR, component_b_off VARCHAR, component_b_trigger VARCHAR, component_b_hdblink VARCHAR, component_r VARCHAR, component_r_on VARCHAR, component_r_off VARCHAR, component_r_trigger VARCHAR);
INSERT INTO "leds" VALUES('front',1,'hw_blink','/sys/class/leds/d2net:blue:front/brightness','/sys/class/leds/d2net:blue:front/delay_on','/sys/class/leds/d2net:blue:front/delay_off','/sys/class/leds/d2net:blue:front/trigger','/sys/class/leds/d2net:blue:front/hd_blink','/sys/class/leds/d2net:red:front/brightness','/sys/class/leds/d2net:red:front/delay_on','/sys/class/leds/d2net:red:front/delay_off','/sys/class/leds/d2net:red:front/trigger');
CREATE TABLE share_services (service VARCHAR, share_id INTEGER NOT NULL, status BOOLEAN, PRIMARY KEY (share_id, service));
INSERT INTO "share_services" VALUES('time_machine',1,NULL);
INSERT INTO "share_services" VALUES('time_machine',2,NULL);
INSERT INTO "share_services" VALUES('multimedia',1,NULL);
INSERT INTO "share_services" VALUES('multimedia',2,NULL);
INSERT INTO "share_services" VALUES('smb',1,NULL);
INSERT INTO "share_services" VALUES('smb',2,NULL);
INSERT INTO "share_services" VALUES('afp',1,NULL);
INSERT INTO "share_services" VALUES('afp',2,NULL);
INSERT INTO "share_services" VALUES('ftp',1,NULL);
INSERT INTO "share_services" VALUES('ftp',2,NULL);
INSERT INTO "share_services" VALUES('time_machine',3,NULL);
INSERT INTO "share_services" VALUES('multimedia',3,NULL);
INSERT INTO "share_services" VALUES('smb',3,NULL);
INSERT INTO "share_services" VALUES('afp',3,NULL);
INSERT INTO "share_services" VALUES('ftp',3,NULL);
CREATE TABLE hosts (id INTEGER PRIMARY KEY, ipv4_address VARCHAR NOT NULL, host_name VARCHAR, domain_name VARCHAR, static BOOLEAN);
INSERT INTO "hosts" VALUES(1,'127.0.0.1','localhost','',1);
INSERT INTO "hosts" VALUES(2,'192.168.3.108','LaCie-d2',NULL,NULL);
CREATE TABLE targets (id INTEGER PRIMARY KEY, service VARCHAR);
INSERT INTO "targets" VALUES(1,'loop');
CREATE TABLE shares (id INTEGER PRIMARY KEY, name VARCHAR UNIQUE NOT NULL, status BOOLEAN DEFAULT 1, external BOOLEAN DEFAULT 0, timemachine BOOLEAN DEFAULT 0, comment VARCHAR, volume_id INTEGER);
INSERT INTO "shares" VALUES(1,'Share',1,0,0,NULL,6);
INSERT INTO "shares" VALUES(2,'Public',1,0,0,NULL,6);
INSERT INTO "shares" VALUES(3,'prova',1,0,0,'',6);
CREATE TABLE backup (id INTEGER PRIMARY KEY, name VARCHAR, is_scheduled BOOLEAN, schedule_time VARCHAR, kind VARCHAR, backend VARCHAR, owner_id INTEGER, dest_id INTEGER, src_id  INTEGER, timestamp VARCHAR, dst_base VARCHAR, dst_path VARCHAR, src_path VARCHAR, last_dir VARCHAR, backup_dirs VARCHAR, refreshT INTEGER, pid INTEGER, progress INT, status VARCHAR, return_status INTEGER);
CREATE TABLE domain_users (generic_id INTEGER PRIMARY KEY, domain_id INTEGER NOT NULL, sid VARCHAR NOT NULL);
CREATE TABLE download (id INTEGER PRIMARY KEY, name VARCHAR, status INTEGER NOT NULL, user_id INTEGER NOT NULL, share_id INTEGER NOT NULL, type INTEGER NOT NULL, time_added VARCHAR, from_path VARCHAR NOT NULL, to_path VARCHAR NOT NULL, dl_rate_limit INTEGER, up_rate_limit INTEGER, progress INTEGER, transfert_time INTEGER, downloaded_size INTEGER, total_size INTEGER, current_dl_rate INTEGER, current_up_rate INTEGER, eta  INTEGER, download_pid INTEGER, auth_username VARCHAR, auth_password VARCHAR, checksum VARCHAR, checksum_type VARCHAR, https_skip_peer_verif INTEGER, https_skip_hostname_verif INTEGER, tracker_response VARCHAR, tracker_url VARCHAR, lastAnnounceTime VARCHAR, comment VARCHAR, error_string VARCHAR, hash_string VARCHAR, transmission_id INTEGER, peers INTEGER, seeders INTEGER, leechers INTEGER, piece_count INTEGER, piece_size INTEGER, dateCreated VARCHAR, creator VARCHAR, UNIQUE (share_id, from_path, to_path));
CREATE TABLE ups (id INTEGER PRIMARY KEY, udi VARCHAR UNIQUE NOT NULL, model VARCHAR, enabled BOOLEAN NOT NULL, ac_power BOOLEAN, critical BOOLEAN, charge INTEGER, threshold INTEGER);
CREATE TABLE button (id INTEGER PRIMARY KEY, shtdwn INTEGER, type VARCHAR, udi VARCHAR);
INSERT INTO "button" VALUES(1,3,'lacie_1','/org/freedesktop/Hal/devices/platform_gpio_keys_logicaldev_input');
CREATE TABLE volumes (id INTEGER PRIMARY KEY, device VARCHAR, hal_udi VARCHAR, is_mounted BOOLEAN, is_read_only BOOLEAN, real_size INTEGER, size INTEGER, used INTEGER, available INTEGER, percent_usage INTEGER, mount_point VARCHAR, mount_options VARCHAR, uuid VARCHAR, fstype VARCHAR, label VARCHAR, external BOOLEAN, raid BOOLEAN, root_device BOOLEAN, parent_udi VARCHAR, disk_id INTEGER, enabled BOOLEAN, status INTEGER);
INSERT INTO "volumes" VALUES(1,'/dev/sda9','/org/freedesktop/Hal/devices/volume_uuid_ede9b7a0_a49d_4f62_9f05_87ce9c3b03c6',1,0,1000204886016,NULL,NULL,NULL,NULL,'/oldroot/snapshots',NULL,'ede9b7a0a49d4f629f0587ce9c3b03c6','ext3','',0,0,0,'/org/freedesktop/Hal/devices/storage_model_HD103SI',4,1,1);
INSERT INTO "volumes" VALUES(2,'/dev/sda8','/org/freedesktop/Hal/devices/volume_uuid_cc628a99_db6716bc_e810927d_135a643e',1,1,1000204886016,NULL,NULL,NULL,NULL,'/oldroot/var/original',NULL,'cc628a99db6716bce810927d135a643e','linux_raid_member','',0,0,0,'/org/freedesktop/Hal/devices/storage_model_HD103SI',4,1,1);
INSERT INTO "volumes" VALUES(3,'/dev/sda7','/org/freedesktop/Hal/devices/volume_uuid_d46cf68e_9b7b146c_e810927d_135a643e',1,1,1000204886016,NULL,NULL,NULL,NULL,'/oldroot',NULL,'d46cf68e9b7b146ce810927d135a643e','linux_raid_member','',0,0,0,'/org/freedesktop/Hal/devices/storage_model_HD103SI',4,1,1);
INSERT INTO "volumes" VALUES(4,'/dev/sda6','/org/freedesktop/Hal/devices/volume_part6_size_8193024',0,0,1000204886016,NULL,NULL,NULL,NULL,'',NULL,'','','',0,0,0,'/org/freedesktop/Hal/devices/storage_model_HD103SI',4,1,1);
INSERT INTO "volumes" VALUES(5,'/dev/sda5','/org/freedesktop/Hal/devices/volume_part5_size_263144448',0,0,1000204886016,NULL,NULL,NULL,NULL,'',NULL,'','swap','',0,0,0,'/org/freedesktop/Hal/devices/storage_model_HD103SI',4,1,1);
INSERT INTO "volumes" VALUES(6,'/dev/sda2','/org/freedesktop/Hal/devices/volume_uuid_b7b9b697_8bb4_49c4_825e_24c9932bbc5f',1,0,1000204886016,998011699200,1286144,998010413056,0,'/media/internal_6',NULL,'b7b9b6978bb449c4825e24c9932bbc5f','xfs','',0,0,1,'/org/freedesktop/Hal/devices/storage_model_HD103SI',4,1,1);
INSERT INTO "volumes" VALUES(7,'/dev/sda10','/org/freedesktop/Hal/devices/volume_part10_size_8193024',0,0,1000204886016,NULL,NULL,NULL,NULL,'',NULL,'','','',0,0,0,'/org/freedesktop/Hal/devices/storage_model_HD103SI',4,1,1);
INSERT INTO "volumes" VALUES(8,'/dev/sda1','/org/freedesktop/Hal/devices/volume_part1_size_1024',0,0,1000204886016,NULL,NULL,NULL,NULL,'',NULL,'','','',0,0,0,'/org/freedesktop/Hal/devices/storage_model_HD103SI',4,1,1);
CREATE TABLE user_share_acl (access VARCHAR, user_id INTEGER, share_id INTEGER NOT NULL, PRIMARY KEY (user_id, share_id));
INSERT INTO "user_share_acl" VALUES('full',0,2);
INSERT INTO "user_share_acl" VALUES('full',1,1);
INSERT INTO "user_share_acl" VALUES('full',0,3);
COMMIT;
